AOWP_WithincodePointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_WithincodePointcut
/aspect/pointcut/designators/WithincodePointcut.class.php at line 14

# Class AOWP_WithincodePointcut

    AOWP_Pointcut
        └─AOWP_StaticPointcut
           └─AOWP_WithincodePointcut

public class AOWP_WithincodePointcut
extends AOWP_StaticPointcut

現在、サポートされていません (ver. 0.8)。 次期リリース予定です。 メソッドの中身のジョインポイントを選択します。

Author:
  keiji

Field Summary
private mixed | $_argumentsCount
private mixed | $_className
private mixed | $_methodName
private mixed | $_modifiers

Constructor Summary
AOWP_WithincodePointcut(mixed modifiers, mixed className, mixed methodName, mixed argumentsCount) Constructor.

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_StaticPointcut
_runtimeMatch

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/WithincodePointcut.class.php at line 18

### _argumentsCount

`private mixed $_argumentsCount`

/aspect/pointcut/designators/WithincodePointcut.class.php at line 16

### _className

`private mixed $_className`

/aspect/pointcut/designators/WithincodePointcut.class.php at line 17

### _methodName

`private mixed $_methodName`

/aspect/pointcut/designators/WithincodePointcut.class.php at line 15

### _modifiers

`private mixed $_modifiers`

## Constructor Detail

/aspect/pointcut/designators/WithincodePointcut.class.php at line 23

### AOWP_WithincodePointcut

`public AOWP_WithincodePointcut(mixed modifiers, mixed className, mixed methodName, mixed argumentsCount)`

Constructor.

## Method Detail

/aspect/pointcut/designators/WithincodePointcut.class.php at line 30

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr